<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.datatypes._BaseDateTimeConverter&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.d._BaseDateTimeConverter(<a href="kiwi.datatypes.BaseConverter.html">BaseConverter</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.datatypes.html">datatypes</a></span>
      
      <a href="classIndex.html#kiwi.datatypes._BaseDateTimeConverter">View In Hierarchy</a>
    </p>
    <div>
      <p>Known subclasses: <a href="kiwi.datatypes._DateConverter.html">kiwi.datatypes._DateConverter</a>, <a href="kiwi.datatypes._DateTimeConverter.html">kiwi.datatypes._DateTimeConverter</a>, <a href="kiwi.datatypes._TimeConverter.html">kiwi.datatypes._TimeConverter</a></p>
    </div>
    <div>Abstract class for converting datatime objects to and from strings
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Class Variables</td><td class="fieldArg">date_format</td><td></td></tr><tr><td></td><td class="fieldArg">lang_constant</td><td></td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id344">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#get_lang_constant_win32">get_lang_constant_win32</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#get_lang_constant">get_lang_constant</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#from_dateinfo">from_dateinfo</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#get_compare_function">get_compare_function</a></td>
    <td><span>This can be overriden by a subclass to provide a custom comparison
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#get_format">get_format</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#get_mask">get_mask</a></td>
    <td><span>Returns the mask of the entry or None if not specified.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#as_string">as_string</a></td>
    <td><span>Convert a date to a string
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#_convert_format">_convert_format</a></td>
    <td><span>Convert the format string to a 'human-readable' format
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.datatypes._BaseDateTimeConverter.html#from_string">from_string</a></td>
    <td><span>Convert a string to a date
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.get_lang_constant_win32"></a>
        <a name="get_lang_constant_win32"></a>
        <div class="functionHeader">
        
        def get_lang_constant_win32(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.datatypes._DateConverter.html">kiwi.datatypes._DateConverter</a>, <a href="kiwi.datatypes._DateTimeConverter.html">kiwi.datatypes._DateTimeConverter</a>, <a href="kiwi.datatypes._TimeConverter.html">kiwi.datatypes._TimeConverter</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.get_lang_constant"></a>
        <a name="get_lang_constant"></a>
        <div class="functionHeader">
        
        def get_lang_constant(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.datatypes._DateConverter.html">kiwi.datatypes._DateConverter</a>, <a href="kiwi.datatypes._DateTimeConverter.html">kiwi.datatypes._DateTimeConverter</a>, <a href="kiwi.datatypes._TimeConverter.html">kiwi.datatypes._TimeConverter</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.from_dateinfo"></a>
        <a name="from_dateinfo"></a>
        <div class="functionHeader">
        
        def from_dateinfo(self, dateinfo):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.datatypes._DateConverter.html">kiwi.datatypes._DateConverter</a>, <a href="kiwi.datatypes._DateTimeConverter.html">kiwi.datatypes._DateTimeConverter</a>, <a href="kiwi.datatypes._TimeConverter.html">kiwi.datatypes._TimeConverter</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.get_compare_function"></a>
        <a name="get_compare_function"></a>
        <div class="functionHeader">
        
        def get_compare_function(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.datatypes.BaseConverter.html#get_compare_function">kiwi.datatypes.BaseConverter.get_compare_function</a></div>
          <div>This can be overriden by a subclass to provide a custom comparison 
function.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">cmp
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.get_format"></a>
        <a name="get_format"></a>
        <div class="functionHeader">
        
        def get_format(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.get_mask"></a>
        <a name="get_mask"></a>
        <div class="functionHeader">
        
        def get_mask(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.datatypes.BaseConverter.html#get_mask">kiwi.datatypes.BaseConverter.get_mask</a></div>
          <div>Returns the mask of the entry or None if not specified.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">the mask or None.
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.as_string"></a>
        <a name="as_string"></a>
        <div class="functionHeader">
        
        def as_string(self, value, format=None):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.datatypes.BaseConverter.html#as_string">kiwi.datatypes.BaseConverter.as_string</a></div>
          <div>Convert a date to a string
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter._convert_format"></a>
        <a name="_convert_format"></a>
        <div class="functionHeader">
        
        def _convert_format(self, format):
        
      </div>
        <div class="functionBody">
          
          <div>Convert the format string to a 'human-readable' format
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.datatypes._BaseDateTimeConverter.from_string"></a>
        <a name="from_string"></a>
        <div class="functionHeader">
        
        def from_string(self, value):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.datatypes.BaseConverter.html#from_string">kiwi.datatypes.BaseConverter.from_string</a></div>
          <div>Convert a string to a date
<table class="fieldTable"></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>